class Projectile < GameSprite
  def initialize(args, params)
    @direction = :east
    @position = {x: 0, y: 0}

    @movement_speed = 2
  end
  def tick(args)
    case @direction
    when :east
      @position.x += @movement_speed
    when :west
      @position.x -= @movement_speed
    when :north
      @position.y += @movement_speed
    when :south
      @position.y -= @movement_speed
    end
  end

  def collision_rect
    @position.merge(@size)
  end
end